08.12.2021

Поставка не самых свежих ядер Linux создаёт проблемы с поддержкой оборудования у 13% новых пользователей

 
 
  • 3.5, макпыф (ok), 17:59, 01/07/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > так пересаживайся с lts выпуска на полугодичные и будет тебе ролинг.

    я сижу на LFS + ubuntu devel

    говорю не про себя, у меня подобных проблем не было, а просто что это стоило бы сделать

     
     
  • 4.9, Тинус Лорвальдс (ok), 18:05, 01/07/2021 [^] [^^] [^^^] [ответить]  
  • +/
    >LFS + ubuntu devel

    бред какой-то написан.

    >говорю не про себя, у меня подобных проблем не было, а просто что это стоило бы сделать

    стоило бы разобраться в вопросе, прежде чем давать абсолютно ненужные советы.

     
     
  • 5.13, макпыф (ok), 18:07, 01/07/2021 [^] [^^] [^^^] [ответить]  
  • +/
    >>LFS + ubuntu devel

    > бред какой-то написан.

    у меня основная LFS и запасная ubuntu devel (в разработке, сейчас 21.10)

    > стоило бы разобраться в вопросе, прежде чем давать абсолютно ненужные советы.

    Я вполне понимаю вопрос

     
  • 3.17, Аноним (17), 18:21, 01/07/2021 [^] [^^] [^^^] [ответить]  
  • +/
    LTS это long time _support_ вообще-то, а не так, что раз в два года выпустили и забыли.
     
  • 2.10, Аноним (10), 18:05, 01/07/2021 [^] [^^] [^^^] [ответить]  
  • +1 +/
    Вообще у Ubuntu есть такая штука — HWE (Hardware Enablement stack).

    Если поставить эти пакеты, то ядра (и, вроде даже X11) будут завозить «роллингом» из актуального (не LTS) выпуска.

    Правда:

    — Этот выпуск всё равно содержит не самое актуальное ядро

    — Ядро и X11 актуального выпуска будет доступно не сразу с выходом этого выпуска, а ближе к концу его поддержки

    Но так или иначе — указанные выше компоненты будут поновее, чем в «ванильном» Ubuntu LTS

    Ссылка: https://wiki.ubuntu.com/Kernel/LTSEnablementStack

     
     
  • 3.12, Аноним (10), 18:07, 01/07/2021 [^] [^^] [^^^] [ответить]  
  • +/
    Я писал про использование LTS выпуска естественно :)

    Из сообщения это может быть не ясно :(
     

  • 1.14, Аноним Анонимович Анонимов (?), 18:08, 01/07/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +1 +/
    Подтверждаю. Купил себе ноут hp probook 450 g8, ядра ниже 5.11 не могут в графику Xe. Лайв режим запускается, а инсталлятор уже нет. WiFi, Bluetooth, сетевуха, звук, сканер отпечатка пальца — конечно же тоже не работают. Дистры, что я пробовал Debian 10, Linux Min. А вот Kubuntu 21.04 с ядром 5.11 завелась без сучка и задоринки. Работало абсолютно всё, только Хе графика работала в каком-то режиме то ли совместимости, то ли эмуляции, но на производительности графики вроде никак не сказалось. Тиринга или чего-то в этом духе не было. Тот же ютуб в хроме не тормозит даже при 4К.
     
     
  • 2.16, Аноним (16), 18:16, 01/07/2021 [^] [^^] [^^^] [ответить]  
  • +/
    > Подтверждаю. Купил себе ноут hp probook 450 g8, ядра ниже 5.11 не

    > могут в графику Xe. Лайв режим запускается, а инсталлятор уже нет.

    > WiFi, Bluetooth, сетевуха, звук, сканер отпечатка пальца — конечно же тоже

    > не работают. Дистры, что я пробовал Debian 10, Linux Min. А

    > вот Kubuntu 21.04 с ядром 5.11 завелась без сучка и задоринки.

    > Работало абсолютно всё, только Хе графика работала в каком-то режиме то

    > ли совместимости, то ли эмуляции, но на производительности графики вроде никак

    > не сказалось. Тиринга или чего-то в этом духе не было. Тот

    > же ютуб в хроме не тормозит даже при 4К.

    Ну, а можно было не брать промежуточный 21.04, а заюзать обновлённое ядро в 20.04, который LTS.

    С Дебианом чуть замороченней для новичка, но лишь чуть, и также можно в стейбле новое ведро.

    SteamOS сперва так и делали. Linux min? не в курсе что это за васянство.

     

  • 1.15, Аноним (15), 18:11, 01/07/2021 [ответить] [﹢﹢﹢] [ · · · ]  
  • +/
    «Порблема» высосана из пальца.
    Просто, так называемые «пользователи» бубунт и прочих линухминтов настолько хлебушки, что неосилили сообразить, что если берёшь очень новое железо, которое заранее следовало бы проверить на совместимость с линухами, то надо и новые ядра. В бунтах есть бэкпортирование ядер, есть https://kernel.ubuntu.com/~kernel-ppa/mainline/.

    Адепты остальных дистров по идее и так должны соображать, для манжаристов им разрабы накидывают с лопаты.

    «Лучшие показатели демонстрируют Rolling-дистрибутивы, включая Manjaro Linux (в течение года предлагались ядра от 5.7 до 5.13), но они отстают по популярности от дистрибутивов-лидеров. »

    Каким показателям? Какие дистрибутивы-лидеры?

    «Для примера, большинству новых пользователей Ubuntu за последний год предлагалось ядро Linux 5.4 в составе выпуска 20.04»

    Для примера, в бунте дефолтно на десктопных системах с завозом нового ядра в репозиторий оно же и предлагается в довесок идёт ещё обнова месы и всякой требухи.

    В итоге мы имеем, «проблемы» по вине хлебушков, а не дистров.

    Новость о чём вообще,  о том что среди 95% населения встречаются и пользователи манжаробунты и других чудесных линуксов?!

     

    Источник.